Declare @@rates VARCHAR(2) = @1

set @@rates = (select CAST(@@rates as int))

if @@rates < 10
set @@rates = '0' + @@rates

DELETE FROM TB_T_DELIVERY_NON_TLMS
	WHERE ROUTE = @0 AND TRIP_NO = @1 AND PICKUP_DT = @2

DELETE FROM TB_R_DELIVERY_CTL_ROUTE where DELIVERY_NO in (
	SELECT DELIVERY_NO FROM TB_R_DELIVERY_CTL_H WHERE DELIVERY_TYPE = 'N' AND  ROUTE = @0 AND RATE = @@rates AND PICKUP_DT = @2
)

DELETE FROM TB_R_DELIVERY_CTL_D where DELIVERY_NO in (
	SELECT DELIVERY_NO FROM TB_R_DELIVERY_CTL_H WHERE DELIVERY_TYPE = 'N' AND  ROUTE = @0 AND RATE = @@rates AND PICKUP_DT = @2
)

DELETE FROM TB_R_DELIVERY_CTL_H WHERE DELIVERY_TYPE = 'N' AND  ROUTE = @0 AND RATE = @@rates AND PICKUP_DT = @2